> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post products modifiers



## OpenAPI

````yaml /api-reference/openapi.json post /products/{productId}/modifiers
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /products/{productId}/modifiers:
    post:
      tags:
        - ProductModifiers
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/BusinessProductsProductModifierCreateRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/BusinessProductsProductModifierCreateRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/BusinessProductsProductModifierCreateRequest
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessProductsSBProductModifierResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BusinessProductsProductModifierCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        price:
          type: number
          format: double
        initialPrice:
          type: number
          format: double
          nullable: true
        active:
          type: boolean
        displayOrder:
          type: integer
          format: int32
        sku:
          type: string
          nullable: true
        upc:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
      additionalProperties: false
    BusinessProductsSBProductModifierResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        price:
          type: number
          format: double
        initialPrice:
          type: number
          format: double
          nullable: true
        active:
          type: boolean
        displayOrder:
          type: integer
          format: int32
        sku:
          type: string
          nullable: true
        upc:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````